Bug 189735 - [maintainer-update] update games/fgrun to 3.0.0
Summary: [maintainer-update] update games/fgrun to 3.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-12 21:00 UTC by buganini
Modified: 2014-05-14 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.47 KB, patch)
2014-05-12 21:00 UTC, buganini
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2014-05-12 21:00:00 UTC
Update games/fgrun to 3.0.0

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-12 21:00:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Po-Chuan Hsieh freebsd_committer 2014-05-13 09:14:42 UTC
Responsible Changed
From-To: sunpoet->martymac

martymac@ is working on this port with maintainer.
Comment 3 dfilter freebsd_committer 2014-05-14 13:15:03 UTC
Author: martymac
Date: Wed May 14 12:14:58 2014
New Revision: 354044
URL: http://svnweb.freebsd.org/changeset/ports/354044
QAT: https://qat.redports.org/buildarchive/r354044/

Log:
  Update to 3.0.0
  
  PR:		ports/189735
  Submitted by:	Kuan-Chung Chiu <buganini@gmail.com>

Added:
  head/games/fgrun/files/patch-CMakeLists.txt   (contents, props changed)
Deleted:
  head/games/fgrun/files/patch-src-CMakeLists.txt
Modified:
  head/games/fgrun/Makefile
  head/games/fgrun/distinfo
  head/games/fgrun/files/patch-src-fgrun_pty.cxx
  head/games/fgrun/files/patch-src-run_posix.cxx
  head/games/fgrun/pkg-plist

Modified: head/games/fgrun/Makefile
==============================================================================
--- head/games/fgrun/Makefile	Wed May 14 12:09:16 2014	(r354043)
+++ head/games/fgrun/Makefile	Wed May 14 12:14:58 2014	(r354044)
@@ -2,10 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	fgrun
-PORTVERSION=	1.7.0
-PORTREVISION=	1
+PORTVERSION=	3.0.0
 CATEGORIES=	games
-MASTER_SITES=	https://gitorious.org/${GO_ACCOUNT}/${GO_PROJECT}/archive/${GO_TAGNAME}.tar.gz?dummy=
+MASTER_SITES=	https://gitorious.org/${GO_ACCOUNT}/${GO_PROJECT}/archive/${GO_TAGNAME}.tar.gz?dummy= \
+		LOCAL/martymac
 
 MAINTAINER=	buganini@gmail.com
 COMMENT=	A graphical frontend to run FlightGear Flight Simulator
@@ -23,13 +23,12 @@ WRKSRC=		${WRKDIR}/${GO_ACCOUNT}-${GO_PR
 
 CMAKE_ARGS+=	-DLIB_DIR=${PREFIX}/lib
 
-USE_GCC=	yes
 USES=		cmake
 USE_GL=		gl
 
 GO_ACCOUNT=	fg
 GO_PROJECT=	fgrun
-GO_TAGNAME=	90e936c01e28feac4a9c3e28d5227980fb8f1e1d
+GO_TAGNAME=	e13e42811239008fded7685d8f2311bb571f6a58
 FETCH_ARGS?=	-o ${DISTDIR}/${DISTFILES}
 
 OPTIONS_DEFINE=	NLS

Modified: head/games/fgrun/distinfo
==============================================================================
--- head/games/fgrun/distinfo	Wed May 14 12:09:16 2014	(r354043)
+++ head/games/fgrun/distinfo	Wed May 14 12:14:58 2014	(r354044)
@@ -1,2 +1,2 @@
-SHA256 (fgrun-1.7.0.tar.gz) = 768d2c5353e6260d1b5625781f66cd46f8fff9f8f1607ba1bd370c778193900c
-SIZE (fgrun-1.7.0.tar.gz) = 187221
+SHA256 (fgrun-3.0.0.tar.gz) = df8299cae9334fb6563be2cf0f78cfe397b569a3d64fbd3a39a26034132ab5d8
+SIZE (fgrun-3.0.0.tar.gz) = 194601

Added: head/games/fgrun/files/patch-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/fgrun/files/patch-CMakeLists.txt	Wed May 14 12:14:58 2014	(r354044)
@@ -0,0 +1,18 @@
+--- CMakeLists.txt.orig	2014-05-12 04:37:55.000000000 +0800
++++ CMakeLists.txt	2014-05-12 04:38:05.000000000 +0800
+@@ -137,7 +137,6 @@
+ 
+ if (ENABLE_NLS AND GETTEXT_FOUND)
+ 
+-    if (MSVC)
+         FIND_LIBRARY(INTL_LIBRARY
+           NAMES intl
+           HINTS
+@@ -153,7 +152,6 @@
+         if (NOT INTL_LIBRARY)
+             set( ENABLE_NLS 0 )
+         endif (NOT INTL_LIBRARY)
+-    endif (MSVC)
+ 
+ 	if (ENABLE_NLS)
+ 		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DENABLE_NLS")

Modified: head/games/fgrun/files/patch-src-fgrun_pty.cxx
==============================================================================
--- head/games/fgrun/files/patch-src-fgrun_pty.cxx	Wed May 14 12:09:16 2014	(r354043)
+++ head/games/fgrun/files/patch-src-fgrun_pty.cxx	Wed May 14 12:14:58 2014	(r354044)
@@ -1,12 +1,14 @@
---- src/fgrun_pty.cxx.orig	2008-10-18 17:32:33.000000000 +0800
-+++ src/fgrun_pty.cxx	2008-10-18 17:33:12.000000000 +0800
-@@ -28,6 +28,9 @@
- #  include <pty.h>
+--- src/fgrun_pty.cxx.orig	2014-05-12 04:35:04.000000000 +0800
++++ src/fgrun_pty.cxx	2014-05-12 04:35:29.000000000 +0800
+@@ -40,6 +40,11 @@
+ #include <fcntl.h>	// O_RDWR
  #endif
  
 +#include <sys/types.h>
++#include <sys/ioctl.h>
++#include <termios.h>
 +#include <libutil.h>
 +
- #if defined(HAVE_UTMP_H)
- #  include <utmp.h>
- #endif
+ #include <stdlib.h> //needed on some linux systems for grantpt()
+ #include <string.h> //strcpy is not necessarily already included
+ /**

Modified: head/games/fgrun/files/patch-src-run_posix.cxx
==============================================================================
--- head/games/fgrun/files/patch-src-run_posix.cxx	Wed May 14 12:09:16 2014	(r354043)
+++ head/games/fgrun/files/patch-src-run_posix.cxx	Wed May 14 12:14:58 2014	(r354044)
@@ -1,6 +1,6 @@
---- src/run_posix.cxx.orig	2009-01-25 17:01:58.000000000 +0000
-+++ src/run_posix.cxx	2009-03-09 01:08:38.080801315 +0000
-@@ -59,7 +59,7 @@
+--- src/run_posix.cxx.orig	2014-05-12 04:32:03.000000000 +0800
++++ src/run_posix.cxx	2014-05-12 04:32:24.000000000 +0800
+@@ -60,7 +60,7 @@
  #if defined(HAVE_TERMIOS_H)
      struct termios term;
      tcgetattr( STDOUT_FILENO, &term );
@@ -9,12 +9,3 @@
  
      pid = pty_fork( &master, 0, &term, 0 );
  #else
-@@ -171,7 +171,7 @@
- #if defined(HAVE_TERMIOS_H)
-     struct termios term;
-     tcgetattr( STDOUT_FILENO, &term );
--    term.c_oflag &= ~( OLCUC | ONLCR );
-+    term.c_oflag &= ~ONLCR;
- 
-     tsPid = pty_fork( &master, 0, &term, 0 );
- #else

Modified: head/games/fgrun/pkg-plist
==============================================================================
--- head/games/fgrun/pkg-plist	Wed May 14 12:09:16 2014	(r354043)
+++ head/games/fgrun/pkg-plist	Wed May 14 12:14:58 2014	(r354044)
@@ -3,6 +3,7 @@ bin/fgrun
 %%NLS%%share/locale/es/LC_MESSAGES/fgrun.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/fgrun.mo
 %%NLS%%share/locale/it/LC_MESSAGES/fgrun.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/fgrun.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/fgrun.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/fgrun.mo
 %%NLS%%share/locale/pt/LC_MESSAGES/fgrun.mo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Ganael LAPLANCHE freebsd_committer 2014-05-14 13:15:45 UTC
State Changed
From-To: open->closed

Committed with minor changes, thanks!